<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings com.intellij.diff.tools.external.ExternalDiffSettings.ExternalToolConfiguration getDefaultToolConfiguration()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool findMergeTool(com.intellij.openapi.fileTypes.FileType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings.Companion com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool findDiffTool(com.intellij.openapi.fileTypes.FileType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffToolUtil void testDiffTool2(com.intellij.openapi.project.Project, com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool, com.intellij.diff.tools.external.ExternalDiffToolUtil.TestOutputConsole)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffToolUtil void testDiffTool3(com.intellij.openapi.project.Project, com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool, com.intellij.diff.tools.external.ExternalDiffToolUtil.TestOutputConsole)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings.Companion boolean isNotBuiltinDiffTool()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings.Companion boolean isNotBuiltinMergeTool()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffToolUtil void executeMerge(com.intellij.openapi.project.Project, com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool, com.intellij.diff.merge.ThreesideMergeRequest, javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffTool.RequestsByTool RequestsByTool(java.util.Map&lt;com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool,? extends java.util.List&lt;? extends com.intellij.diff.requests.DiffRequest&gt;&gt;, java.util.List&lt;? extends com.intellij.diff.requests.DiffRequest&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool findDefaultDiffTool()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.6008.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffTool boolean checkNotTooManyRequests(com.intellij.openapi.project.Project, java.util.List&lt;? extends com.intellij.diff.chains.DiffRequestProducer&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings.ExternalToolGroup kotlin.enums.EnumEntries&lt;com.intellij.diff.tools.external.ExternalDiffSettings.ExternalToolGroup&gt; getEntries()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffToolUtil boolean tryExecuteMerge(com.intellij.openapi.project.Project, com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool, com.intellij.diff.merge.ThreesideMergeRequest, javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings boolean isExternalToolsEnabled()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings boolean isSettingsMigrated()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffToolUtil.TestOutputConsole">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings void setExternalToolsEnabled(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings void setDefaultToolConfiguration(com.intellij.diff.tools.external.ExternalDiffSettings.ExternalToolConfiguration)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings.Companion com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool findMergeTool(com.intellij.openapi.fileTypes.FileType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffToolUtil.MergeTask boolean runMerge(com.intellij.diff.tools.external.ExternalDiffToolUtil.OutputFile, java.util.List&lt;com.intellij.diff.tools.external.ExternalDiffToolUtil.InputFile&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffToolUtil.FileNameInfo name">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3983.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffTool boolean wantShowExternalToolFor(java.util.List&lt;? extends com.intellij.diff.chains.DiffRequestProducer&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5787.30&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings com.intellij.diff.tools.external.ExternalDiffSettings getState()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings.Companion com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool findDefaultDiffTool()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.6008.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffTool INSTANCE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffToolUtil void testMergeTool(com.intellij.openapi.project.Project, com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool, com.intellij.diff.tools.external.ExternalDiffToolUtil.TestOutputConsole)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings boolean isNotBuiltinMergeTool()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalMergeTool INSTANCE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffToolUtil void executeDiff(com.intellij.openapi.project.Project, com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool, java.util.List&lt;? extends com.intellij.diff.contents.DiffContent&gt;, java.util.List&lt;java.lang.String&gt;, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings java.util.Map&lt;com.intellij.diff.tools.external.ExternalDiffSettings.ExternalToolGroup,java.util.List&lt;com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool&gt;&gt; getExternalTools()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings boolean isNotBuiltinDiffTool()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool findDiffTool(com.intellij.openapi.fileTypes.FileType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings.ExternalToolGroup">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings.ExternalToolConfiguration">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffToolUtil.FileNameInfo prefix">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3983.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings void setExternalTools(java.util.Map&lt;com.intellij.diff.tools.external.ExternalDiffSettings.ExternalToolGroup,java.util.List&lt;com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffTool boolean showIfNeeded(com.intellij.openapi.project.Project, com.intellij.diff.chains.DiffRequestChain, com.intellij.diff.DiffDialogHints)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5787.30&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffToolUtil.FileNameInfo com.intellij.diff.tools.external.ExternalDiffToolUtil.FileNameInfo createMergeResult(com.intellij.diff.contents.DiffContent, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3983.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings void loadState(com.intellij.diff.tools.external.ExternalDiffSettings)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings void setSettingsMigrated(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffTool boolean showIfNeeded(com.intellij.openapi.project.Project, java.util.List&lt;? extends com.intellij.diff.chains.DiffRequestProducer&gt;, com.intellij.diff.DiffDialogHints)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffToolUtil.FileNameInfo com.intellij.diff.tools.external.ExternalDiffToolUtil.FileNameInfo create(java.util.List&lt;? extends com.intellij.diff.contents.DiffContent&gt;, java.util.List&lt;java.lang.String&gt;, java.lang.String, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3983.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings java.util.List&lt;com.intellij.diff.tools.external.ExternalDiffSettings.ExternalToolConfiguration&gt; getExternalToolsConfiguration()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffTool.RequestsByTool java.util.List&lt;com.intellij.diff.requests.DiffRequest&gt; getShowInBuiltin()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffTool void showRequest(com.intellij.openapi.project.Project, com.intellij.diff.requests.DiffRequest, com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalMergeTool void show(com.intellij.openapi.project.Project, com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool, com.intellij.diff.merge.MergeRequest)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings void setExternalToolsConfiguration(java.util.List&lt;com.intellij.diff.tools.external.ExternalDiffSettings.ExternalToolConfiguration&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffTool.RequestsByTool java.util.Map&lt;com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool,java.util.List&lt;com.intellij.diff.requests.DiffRequest&gt;&gt; getShowByExternalTool()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.diff.tools.external.ExternalDiffSettings.ExternalTool">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
</root>
